Skip to main content
GET
Get Agent

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

job_id
string
required

Response

Successful Response

Extended response with live Flink REST data.

_id
string
required
name
string
required
job_type
enum<string>
required
Available options:
pyflink,
jar,
agent_config,
knowledge_base
status
enum<string>
required
Available options:
CREATED,
DEPLOYING,
RUNNING,
CANCELLING,
CANCELLED,
FAILED,
FINISHED
desired_status
enum<string> | null
Available options:
CREATED,
DEPLOYING,
RUNNING,
CANCELLING,
CANCELLED,
FAILED,
FINISHED
parallelism
integer
default:1
error_message
string | null
agent_config
Agent Config · object | null
created_by
string | null
created_timestamp
string<date-time> | null
updated_timestamp
string<date-time> | null
live_status
string | null

Live status from Flink REST API

checkpoints
Checkpoints · object | null
errors
Errors · object[] | null
job_args
Job Args · object | null
savepoint_path
string | null